/* font */
/* devanagari */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/poppinsRegular1.woff2') format('woff2');
    unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+25CC, U+A830-A839, U+A8E0-A8FF;
}
/* latin-ext */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/poppinsRegular2.woff2') format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/poppinsRegular3.woff2') format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* devanagari */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 500;
    src: url('/fonts/poppinsMedium1.woff2') format('woff2');
    unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+25CC, U+A830-A839, U+A8E0-A8FF;
}
/* latin-ext */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 500;
    src: url('/fonts/poppinsMedium2.woff2') format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 500;
    src: url('/fonts/poppinsMedium3.woff2') format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* devanagari */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 600;
    src: url('/fonts/poppinsSemiBold1.woff2') format('woff2');
    unicode-range: U+0900-097F, U+1CD0-1CF9, U+200C-200D, U+20A8, U+20B9, U+25CC, U+A830-A839, U+A8E0-A8FF;
}
/* latin-ext */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 600;
    src: url('/fonts/poppinsSemiBold2.woff2') format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'poppins';
    font-style: normal;
    font-weight: 600;
    src: url('/fonts/poppinsSemiBold3.woff2') format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* general */
* {
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}
*:focus {
    outline: none;
}
*:not(input):not(textarea) {
    user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
}
*[onclick],.button {
    cursor: pointer;
}
html {
    position: relative;
    height: 100%;
}
body {
    height: 100%;
    font-family: 'poppins';
    font-size: 14px;
    overflow: hidden;
}
input[readonly] {
    cursor: pointer;
}
input {
    border: 0;
}
input,
textarea,
select {
    font-family: 'poppins';
    font-size: 16px;
}
/* Chrome, Safari, Edge (WebKit/Blink) */
input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
/* Firefox */
input[type='number'] {
    -moz-appearance: textfield;
}
.loader,
.loader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}
.loader:not(.dark) { /* light */
    position: relative;
    border-top: 3px solid rgba(255, 255, 255, 0.2);
    border-right: 3px solid rgba(255, 255, 255, 0.2);
    border-bottom: 3px solid rgba(255, 255, 255, 0.2);
    border-left: 3px solid #ffffff;
    transform: translateZ(0);
    animation: loader 1.1s infinite linear;
}
.loader.dark {
    position: relative;
    border-top: 2px solid rgba(179, 179, 179, 0.2);
    border-right: 2px solid rgba(179, 179, 179, 0.2);
    border-bottom: 2px solid rgba(179, 179, 179, 0.2);
    border-left: 2px solid #939393;
    transform: translateZ(0);
    animation: loader 1.1s infinite linear;
}
.button:not([locked]) > .loading,
.button[locked] > .content {
    display: none;
}
.button[locked] > .loader {
    width: 30px;
    height: 30px;
}
.page {
    height: 100%;
}
.view > .statusBar,
.page > .statusBar {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 2;
}
.view > .navigationBar,
.page > .navigationBar {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 300;
}
.fade {
    animation: fade 1s infinite alternate;
}
.fadeIn {
    opacity: 0;
    transition: opacity 0.5s ease;
}
.bottomSheet {
    position: fixed;
    background-color: #272727;
}
.bottomSheet > .handle {
    padding-top: 8px;
    padding-bottom: 28px;
    cursor: pointer;
}
.bottomSheet > .handle > div {
    width: 40px;
    height: 4px;
    border-radius: 16px;
    margin-right: auto;
    margin-left: auto;
    background-color: #ffffff;
}
.picker > .picker-holder > .picker-frame > .picker-wrap > .picker-box > .picker-footer {
    display: none;
}
.select.label > .control.unlimited > .inputWrapper {
    position: relative;
}
.select.label > .control.unlimited > .inputWrapper > input {
    width: 100%;
    border-radius: 8px;
    padding: 12px 47px 12px 12px;
}
.select.label > .control.unlimited > .inputWrapper > input::placeholder {
    color: #757575;
}
.select.label > .control.unlimited > .options {
    padding-top: 16px;
    padding-bottom: 16px;
}
.select.label > .control.unlimited > .options > .suggestions {
    font-weight: bold;
}
.select.label > .control.unlimited > .options > .itemsWrapper {
    margin-top: 10px;
    max-height: 200px;
    overflow-y: auto;
}
.select.label > .control.unlimited > .options > .itemsWrapper > .items > .item {
    cursor: pointer;
    font-weight: 500;
    border-radius: 8px;
    padding: 8px;
    margin-bottom: 8px;
}
.select.label > .control.unlimited > .options > .itemsWrapper > .loader {
    margin-right: auto;
    margin-left: auto;
}
.select.label > .control.unlimited > .options > .itemsWrapper > .loader.center {
    width: 30px;
    height: 30px;
}
.select.label > .control.unlimited > .options > .itemsWrapper > .loader.bottom {
    width: 20px;
    height: 20px;
}
.select.label > .labelManager.unlimited > .options > .itemsWrapper > .loader.bottom {
    display: none;
}
.select.label > .control > .options > .option {
    padding: 10px 16px;
    text-align: center;
}
.select.label > .control > .options > .option:first-child {
    padding-top: 16px;
    border-radius: 8px 8px 0 0;
}
.select.label > .control > .options > .option:last-child {
    padding-bottom: 16px;
    border-radius: 0 0 8px 8px;
}
.select.label > .control.unlimited > .options > .add {
    color: #ffffff;
    background-color: #f23002;
    margin: 12px -16px -16px;
    padding: 10px;
    text-align: center;
    font-weight: bold;
    display: none;
    cursor: pointer;
}
.select.label > .control > .inputWrapper > .text {
    height: 48px;
    width: 100%;
    padding-right: 20px;
    padding-left: 20px;
}
.select.label > .control > .inputWrapper > img {
    width: 18px;
    position: absolute;
    top: 14px;
    right: 17px;
}
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 70;
    animation: opacity 0.4s ease;
    display: none;
}
#overlay.active {
    opacity: 1;
}
#select > .close,
#search > .close {
    width: 16px;
    height: 16px;
}
#select > .close > img,
#search > .close > img {
    width: 100%;
    height: 100%;
}
#search > h4 {
    font-weight: 700;
    margin-bottom: 20px;
}
#search > .header {
    margin-bottom: 20px;
}
#search > .header > input {
    width: 100%;
    border-radius: 10px;
    padding: 12px 14px;
}
#search > .content > .item {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    border-radius: 12px;
    margin-bottom: 12px;
}
#options > .text {
    font-weight: bold;
    margin-bottom: 18px;
    text-align: center;
}
#options > .buttons {
    display: table;
    width: 100%;
    font-weight: bold;
}
#options > .buttons > .button {
    font-weight: 600;
    border-radius: 16px;
    padding: 16px;
    text-align: center;
}
#options > .buttons > .button:not(:last-child) {
    margin-bottom: 16px;
}
#options > .buttons > .button > .uiFade {
    border-radius: 16px;
}
#options > .buttons > .button {
    padding: 18px;
}
#box > .buttons > .confirm > div {
    width: calc(50% - 43px);
}
#box > .text {
    font-weight: 700;
    padding-bottom: 24px;
}
#panel > .content > div > .fTable {
    margin-top: 36px;
}
#panel[ids='agreement'] {
    display: block;
    right: 20px;
    left: 20px;
    height: 95%;
}
#panel[ids='agreement'] > .close {
    padding: 9px;
    border-radius: 50%;
    background-size: 10px;
    background-position: center;
    background-repeat: no-repeat;
    width: 26px;
    height: 26px;
}
#panel[ids='agreement'] > .content {
    position: absolute;
    top: 44px;
    right: 0;
    left: 0;
    overflow: auto;
    bottom: 0;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
}
#panel[ids='agreement'] > .content > .tableWrapper {
    overflow-x: auto;
}
#panel[ids='agreement'] > .content > table,
#panel[ids='agreement'] > .content > .tableWrapper > table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    margin-bottom: 20px;
}
#panel[ids='agreement'] > .content > table > thead > tr > th,
#panel[ids='agreement'] > .content > table > tbody > tr > td,
#panel[ids='agreement'] > .content > .tableWrapper > table > thead > tr > th,
#panel[ids='agreement'] > .content > .tableWrapper > table > tbody > tr > td {
    padding: 8px;
}
#panel[ids='agreement'] > .content > table > thead > tr > th,
#panel[ids='agreement'] > .content > .tableWrapper > table > thead > tr > th {
    color: #cccccc;
}
#panel[ids='agreement'] > .content .note {
    font-style: italic;
}
#panel[ids='form'] {
    display: block;
    padding: 24px;
    top: 50%;
    left: 50%;
    bottom: unset;
    border-radius: 16px;
    width: 320px;
    transform: translate(-50%, -50%);
}
#panel[ids='form'] > .content {
    overflow: auto;
}
#panel[ids='form']  > .content > div:not(:last-child) {
    margin-bottom: 16px;
}
#panel[ids='form']  > .content > .title > .text {
    margin-bottom: 4px;
    font-weight: 600;
    font-size: 18px;
    text-align: center;
}
#panel[ids='form']  > .content > .title > .description {
    font-size: 13px;
    text-align: center;
}
#panel[ids='form']  > .content > .formWrapper > .fForm > .tabs {
    margin-bottom: 16px;
}
#panel[ids='form']  > .content > .formWrapper > .fForm > .tabs > .tab {
    border-radius: 8px;
    padding: 4px 8px;
    height: inherit;
    line-height: inherit;
}
#panel[ids='form']  > .content > .formWrapper > .fForm > .fields > .field:not(:last-child) {
    margin-bottom: 12px;
}
#panel[ids='form']  > .content > .formWrapper > .fForm > .fields > .field > label {
    display: none;
}
#panel[ids='form']  > .content > .formWrapper > .fForm > .fields > .field > input {
    width: 100%;
    border-radius: 8px;
    padding: 12px;
}
#panel[ids='form'] > .content > .operations > .button {
    padding: 8px 12px;
    text-align: center;
    border-radius: 8px;
    width: calc(50% - 6px);
}
#panel[ids='requestItemInvitation'] {
    border-radius: 16px;   
    padding: 24px;
    display: block;
    top: 50%;
    left: 50%;
    bottom: unset;
    width: 320px;
    transform: translate(-50%, -50%);
}
#panel[ids='requestItemInvitation'] > .content > .imageWrapper {
    padding: 12px;
    width: 44px;
    height: 44px;
    margin-right: auto;
    margin-bottom: 6px;
    margin-left: auto;
    border-radius: 8px;
}
#panel[ids='requestItemInvitation'] > .content > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='requestItemInvitation'] > .content > .title {
    font-weight: 700;
    font-size: 18px;
    text-align: center;
    margin-bottom: 16px;
}
#panel[ids='requestItemInvitation'] > .content > .description {
    font-weight: 600;
    font-size: 18px;
    text-align: center;
    margin-bottom: 24px;
}
#panel[ids='requestItemInvitation'] > .content > .information {
    margin-bottom: 16px;
    overflow: hidden;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side {
    padding: 12px;
    width: calc(50% - 6px);
    border-radius: 14px;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side > img,
#panel[ids='requestItemInvitation'] > .content > .information > .side > .title {
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 12px;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side > .title {
    font-weight: 700;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side:first-child > .time,
#panel[ids='requestItemInvitation'] > .content > .information > .side:last-child > .drivers {
    margin-bottom: 6px;
    font-weight: 700;
    font-size: 20px;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side > div:last-child {
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    opacity: 0.5;
}
#panel[ids='requestItemInvitation'] > .content > .information > .side > div:last-child > img {
    height: 14px;
}
#panel[ids='requestItemInvitation'] > .content > .pist {
    border-radius: 12px;
    padding: 16px;
    margin-bottom: 16px;
}
#panel[ids='requestItemInvitation'] > .content > .pist > .imageWrapper {
    width: 36px;
    height: 36px;
    padding: 8px;
    border-radius: 8px;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='requestItemInvitation'] > .content > .pist > .imageWrapper > img {
    width: 100%;
    height: 100%;
    display: block;
}
#panel[ids='requestItemInvitation'] > .content > .pist > span {
    font-weight: 500;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='requestItemInvitation'] > .content > .driversTitle {
    margin-bottom: 12px;
}
#panel[ids='requestItemInvitation'] > .content > .driversTitle > img {
    display: inline-block;
    vertical-align: middle;
    width: 16px;
    height: 16px;
}
#panel[ids='requestItemInvitation'] > .content > .driversTitle > span {
    display: inline-block;
    vertical-align: middle;
    font-weight: 500;
}
#panel[ids='requestItemInvitation'] > .content > .drivers {
    margin-bottom: 16px;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver {
    position: relative;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .name {
    padding: 12px;
    overflow: hidden;
    border-radius: 12px;
    margin-bottom: 8px;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .name {
    font-size: 16px;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .name[key='you'] {
    font-weight: bold;
    opacity: 0.5;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .badge {
    width: 32px;
    height: 36px;
    position: absolute;
    top: 8.5px;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .badge > img {
    width: 100%;
    height: 100%;
    opacity: 0;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .badge > .level {
    position: absolute;
    top: 7px;
    font-weight: 600;
    width: 16px;
    text-align: center;
}
#panel[ids='requestItemInvitation'] > .content > .drivers > .driver > .button {
    width: 14px;
}
#panel[ids='requestItemInvitation'] > .content > .buttons {
    overflow: hidden;
}
#panel[ids='requestItemInvitation'] > .content > .buttons > .button {
    text-align: center;
    border-radius: 10px;
    padding: 13px 20px;
    font-weight: 600;
    width: calc(50% - 6px);
    font-size: 14px;
    line-height: 16px;
}
#panel[ids='selectClientPist'] {
    display: block;
    padding: 24px;
    top: 50%;
    left: 50%;
    bottom: unset;
    border-radius: 16px;
    width: 340px;
    transform: translate(-50%, -50%);
}
#panel[ids='selectClientPist'] > .content > .title {
    color: #ffffff;
    font-weight: 700;
    font-size: 16px;
    margin-bottom: 24px;
    text-align: center;
}
#panel[ids='selectClientPist'] > .content > .items > .item {
    border-radius: 16px;
    padding: 14px;
    overflow: hidden;
}
#panel[ids='selectClientPist'] > .content > .items > .item.active {
    background-color: #0373f3;
}
#panel[ids='selectClientPist'] > .content > .items > .item:not(.active) {
    background-color: #333333;
}
#panel[ids='selectClientPist'] > .content > .items > .item:not(:last-child) {
    margin-bottom: 16px;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:first-child {
    float: left;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:first-child > .name {
    color: #f1f2f4;
    font-weight: 700;
    font-size: 16px;
    margin-bottom: 4px;
    line-height: 28px;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:first-child > .address > .text {
    color: #f1f2f4;
    margin-right: 8px;
    display: inline-block;
    vertical-align: middle;
    font-size: 12px;
    font-weight: 500;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:first-child > .address > .distance {
    color: #f1f2f4;
    padding: 4px 10px;
    display: inline-block;
    vertical-align: middle;
    border-radius: 8px;
    font-size: 13px;
    font-weight: 500;
}
#panel[ids='selectClientPist'] > .content > .items > .item.active > .side:first-child > .address > .distance {
    background-color: #368df1;
}
#panel[ids='selectClientPist'] > .content > .items > .item:not(.active) > .side:first-child > .address > .distance {
    background-color: #222222;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:last-child {
    float: right;
    margin-top: 12.5px;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:last-child > .button {
    border-radius: 50%;
    padding: 10px;
}
#panel[ids='selectClientPist'] > .content > .items > .item.active > .side:last-child > .button {
    background-color: #368df1;
}
#panel[ids='selectClientPist'] > .content > .items > .item:not(.active) > .side:last-child > .button {
    background-color: #222222;
}
#panel[ids='selectClientPist'] > .content > .items > .item > .side:last-child > .button > img {
    width: 12px;
    height: 12px;
    display: block;
}
#panel[ids='info'] {
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 24px;
}
#panel[ids='info'] > .content > .imageWrapper {
    padding: 12px;
    display: table;
    margin-right: auto;
    margin-bottom: 12px;
    margin-left: auto;
    border-radius: 8px;
    text-align: center;
}
#panel[ids='info'] > .content > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='info'] > .content > .title {
    margin-bottom: 8px;
    font-weight: 700;
    font-size: 18px;
    text-align: center;
}
#panel[ids='info'] > .content > .description {
    margin-bottom: 16px;
    font-weight: 500;
}
#panel[ids='info'] > .content > .button {
    padding: 16px;
    font-weight: 600;
    border-radius: 10px;
    width: 100%;
    text-align: center;
    overflow-y: auto;
    max-height: 65vh;
}
#panel > .content > div > .fTable > .content > table {
    width: 100%;
    border-collapse: collapse;
}
#panel > .content > div > .fTable > .content > table > tbody > tr {
    font-size: 13px;
}
#panel > .content > div > .fTable > .content > table > tbody > tr > td:not([colspan]) {
    overflow: hidden;
    padding: 8px;
}
#panel > .content > div > .fTable > .content > table > tbody > tr > td[colspan] {
    padding: 20px;
}
#panel > .content > div > .fTable > .content > table > tbody > tr > td.operations > .button {
    border-radius: 8px;
    display: inline-block;
    padding: 4px 8px;
    vertical-align: middle;
}
#panel > .content > div > .fTable > .content > table > tbody > tr > td > img {
    width: 70px;
    border-radius: 8px;
}
#panel > .content > div > .fTable > .content > table > tbody > tr > td > span[onclick] {
    font-weight: bold;
}
#panel[ids='signOut'] {
    width: 320px;
    padding: 24px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
}
#panel[ids='signOut'] > .content > .imageWrapper {
    padding: 12px;
    display: inline-block;
    margin-right: auto;
    margin-bottom: 6px;
    margin-left: auto;
    border-radius: 8px;
}
#panel[ids='signOut'] > .content > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='signOut'] > .content > .text {
    margin-bottom: 16px;
    font-weight: 700;
    font-size: 17px;
    text-align: center;
}
#panel[ids='signOut'] > .content > .buttons {
    overflow: hidden;
}
#panel[ids='signOut'] > .content > .buttons > .button {
    padding: 16px;
}
#panel[ids='signOut'] > .content > .buttons > .button[key='yes'] {
    font-weight: 900;
    border-radius: 8px;
    margin-bottom: 16px;
}
#panel[ids='signOut'] > .content > .buttons > .button[key='yes'] > img {
    vertical-align: middle;
    margin-bottom: 2px;
}
#panel[ids='signOut'] > .content > .buttons > .button[key='no'] {
    border-radius: 10px;
    font-weight: 500;
}
.page.hasMenu > .menu,
.page > .notifications {
    position: fixed;
    top: 0;
    bottom: 0;
}
.page.hasMenu > .menu {
    width: 220px;
}
.page.hasMenu > .menu.centeral > .header {
    padding: 18px;
}
.page.hasMenu > .menu:not(.centeral) > .header {
    padding: 34px 18px 18px;
}
.page.hasMenu > .menu > .header {
    overflow: hidden;
}
.page.hasMenu > .menu > .header > .button {
    padding: 8px;
    border-radius: 8px;
    margin-bottom: 12px;
}
.page.hasMenu > .menu > .header > .button > span {
    font-weight: 500;
}
.page.hasMenu > .menu > .header > .button > img {
    width: 12px;
    height: 12px;
    vertical-align: middle;
}
.page.hasMenu > .menu > .header > img {
    display: block;
    width: 150px;
}
.page.hasMenu > .menu.centeral > .content {
    top: 109px;
}
.page.hasMenu > .menu:not(.centeral) > .content {
    top: 80px;
}
.page.hasMenu > .menu > .content {
    position: absolute;
    right: 0;
    left: 0;
    overflow-y: auto;
}
.page.hasMenu > .menu > .content > .button {
    padding: 16px 20px;
    min-height: 56px;
}
.page.hasMenu > .menu > .content .button > img {
    width: 24px;
}
.page.hasMenu > .menu > .content > .button > .title {
    position: absolute;
    font-weight: 500;
    font-size: 16px;
}
.page.hasMenu > .menu > .content > .button[key='adminContactMessages'] > .unreadCount {
    position: absolute;
    top: 4px;
    min-width: 20px;
    height: 20px;
    font-size: 13px;
    border-radius: 10px;
    font-weight: 600;
    line-height: 21px;
    text-align: center;
    padding-right: 4px;
    padding-left: 4px;
}
.page.hasMenu > .menu > .footer {
    position: absolute;
    bottom: 0;
    width: 100%;
}
.page.hasMenu > .menu > .footer > .button {
    padding-top: 16px;
    display: table;
    width: 100%;
}
.page.hasMenu > .menu > .footer > .button > .image {
    display: table-cell;
    width: 44px;
    height: 44px;
    border-radius: 50%;
    font-weight: 500;
    font-size: 18px;
    padding: 7px;
    vertical-align: middle;
    text-align: center;
}
.page.hasMenu > .menu > .footer > .button > .name {
    width: 130px;
    font-weight: 500;
    font-size: 14px;
    line-height: 28px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.page.hasMenu > .menu > .footer > .button > .company {
    width: 130px;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.003em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.page.hnb > .footer { /* has navigation bar */
    position: absolute;
    right: 0;
    left: 0;
    bottom: 0;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    z-index: 2;
}
.page.hnb > .footer > .navi {
    text-align: center;
    padding-top: 12px;
    padding-bottom: 12px;
    height: 100%;
    position: relative;
}
.page.hnb > .footer > .navi > img {
    width: 24px;
}
.page.hnb > .footer > .navi > div {
    font-size: 11px;
}
.relation > .label {
    font-weight: bold;
}
.formWrapper.shared > .fForm > .fields > .field > .relation {
    margin-top: 8px;
}
.formWrapper.shared > .fForm > .fields > .field > .relation > .button {
    display: table;
    border-radius: 8px;
    padding: 4px 8px;
}
.relationTable > .fTable > .content > table > thead,
.tableWrapper.shared > .fTable > .content > table > thead {
    height: 43px;
}
.relationTable > .fTable > .content > table > thead > .fields,
.tableWrapper.shared > .fTable > .content > table > thead > .fields {
    width: 100%;
    padding: 7px;
    white-space: nowrap;
}
.relationTable > .fTable > .content > table > thead > .fields,
.tableWrapper.shared > .fTable > .content > table > thead.filter > .fields {
    display: none;
}
.relationTable > .fTable > .content > table > thead > .fields > th,
.tableWrapper.shared > .fTable > .content > table > thead > .fields > th {
    padding: 10px;
    overflow-x: auto;
    white-space: nowrap;
    font-weight: 500;
}
.relationTable > .fTable > .content > table > thead > .fields > th > .sort,
.tableWrapper.shared > .fTable > .content > table > thead > .fields > th > .sort {
    display: inline-block;
    background-size: 10px;
}
.relationTable > .fTable > .content > table > thead > .filterFields,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields {
    position: absolute;
    width: 100%;
    overflow-x: auto;
    white-space: nowrap;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th:first-child:empty,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th:first-child:empty {
    display: none;
}
.tableWrapper.shared > .fTable > .content > table > thead:not(.filter) > .filterFields {
    display: none;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th {
    padding: 4px 14px;
    font-size: 12px;
    margin: 5px 4px;
    display: inline-block;
    border-radius: 24px;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th > input,
.relationTable > .fTable > .content > table > thead > .filterFields > th > select,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th > input,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th > select {
    height: 19.5px;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th > input,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th > input {
    font-size: 12px;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th > select,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th > select {
    border: 0;
}
.relationTable > .fTable > .content > table > thead > .filterFields > th > img,
.tableWrapper.shared > .fTable > .content > table > thead > .filterFields > th > img {
    width: 16px;
    top: 5.75px;
}
.relationTable > .fTable > .content > table > thead > .buttons,
.tableWrapper.shared > .fTable > .content > table > thead > .buttons {
    position: absolute;
}
.tableWrapper.shared > .fTable > .content > table > thead:not(.filter) > .buttons {
    display: none;
}
.relationTable > .fTable > .content > table > thead > .buttons > th,
.tableWrapper.shared > .fTable > .content > table > thead > .buttons > th {
    padding: 0;
}
.relationTable > .fTable > .content > table > thead > .buttons > th > .button,
.tableWrapper.shared > .fTable > .content > table > thead > .buttons > th > .button {
    padding: 5px 14px;
    border-radius: 24px;
    font-size: 12px;
    margin-top: 5px;
    margin-bottom: 5px;
}
.relationTable > .fTable > .content > table > tbody > tr > td > span[onclick],
.tableWrapper.shared > .fTable > .content > table > tbody > tr > td > span[onclick] {
    font-weight: bold;
}
.relationTable > .fTable > .footer,
.tableWrapper.shared > .fTable > .footer {
    text-align: center;
    margin-top: 16px;
    margin-bottom: 16px;
}
.relationTable > .fTable > .footer > .pagination,
.footer > .pagination {
    margin-bottom: 8px;
}
.relationTable > .fTable > .footer > .pagination > div,
.footer > .pagination > div {
    display: inline-block;
    padding: 8px 12px;
    margin: 2px;
    border-radius: 8px;
    font-size: 13px;
    cursor: pointer;
    min-width: 27px;
    text-align: center;
    font-weight: bold;
}
.picker {
    position: fixed;
}

/* overrides */
.mdtoast {
    position: absolute;
    font-size: 15px;
    line-height: 22px;
    bottom: 24px;
    left: 24px;
    border-radius: 16px;
}

@keyframes loader {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes heartbeat {
    0% {
        transform: scale(0.95);
    }
    20% {
        transform: scale(1.8);
    }
    40% {
        transform: scale(0.95);
    }
    60% {
        transform: scale(1.8);
    }
    80% {
        transform: scale(0.95);
    }
    100% {
        transform: scale(0.95);
    }
}

@media (min-height: 542px) {
    .picker-opened .picker-frame {
        top: calc(50% - 201px);
        right: 0;
        left: 0;
        margin: 10px;
        width: calc(100% - 20px);
    }
}
@media (max-width: 799px) {
    #panel[ids='info'] {
        width: calc(100% - 48px);
    }
    ::-webkit-scrollbar {
        display: none;
    }
    /* overrides */
    .mdtoast {
        right: 24px;
    }
    .page.hasMenu > .menu {
        transition: transform 0.5s ease;
        z-index: 1900;
    }
    .page.hasMenu > .header > .center {
        width: calc(100% - 192px);
    }
}
@media (min-width: 800px) {
    #panel[ids='info'] {
        width: 400px;
    }
    ::-webkit-scrollbar {
        width: 6px;
        height: 6px;
        margin-bottom: 6px;
    }
    ::-webkit-scrollbar-track, ::-webkit-scrollbar-thumb {
        border-radius: 3px;
    }
    .page.center > .content {
        margin-left: auto;
        margin-right: auto;
        max-width: 800px;
    }
    .page.hasMenu > .header > .side:first-child > .button[key='menu'] {
        display: none;
    }
    .page.hasMenu > .header > .center {
        width: calc(100% - 128px);
    }
    .page.hnb > .content {
        bottom: 0;
    }
    .page.hnb > .footer {
        display: none;
    }
}